import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotLoanOrder/` + url, ...arg)

/**
 * 入库贷款Api接口管理器
 *
 * @author xiang
 * @date  2023/09/18 15:34
 **/
export default {
	// 获取入库贷款分页
	depotLoanOrderPage(data) {
		return request('page', data, 'get')
	},
	// 获取入库贷款列表
	depotLoanOrderList(data) {
		return request('list', data, 'get')
	},
	// 提交入库贷款表单 edit为true时为编辑，默认为新增
	depotLoanOrderSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除入库贷款
	depotLoanOrderDelete(data) {
		return request('delete', data)
	},
	// 获取入库贷款详情
	depotLoanOrderDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取入库贷款详情
	depotLoanOrderDetailGroup(data) {
		return request('detailGroup', data, 'get')
	}
}
